Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367742 - [DOCS] Documentation refers to build-secret flag which does not exist in 3.1
Summary: [DOCS] Documentation refers to build-secret flag which does not exist in 3.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: brice
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 11:11 UTC by jritenou
Modified: 2018-05-09 00:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-19 04:05:58 UTC


Attachments (Terms of Use)

Description jritenou 2016-08-17 11:11:52 UTC
Document URL: https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/developer-guide/

Section Number and Name: 9.8. BINARY SOURCE

Describe the issue: Two examples cite the "--build-secret" flag which was not introduce in OpenShift Enterprise until 3.2

 oc new-build openshift/nodejs-010-centos7~https://github.com/openshift/nodejs-ex.git --build-secret secret-npmrc

oc new-build openshift/nodejs-010-centos7~https://github.com/openshift/nodejs-ex.git --build-secret “secret-npmrc:/etc”

Suggestions for improvement: Remove references to this flag as it is misleading.

Additional information:

Comment 2 brice 2018-01-03 04:13:05 UTC
Section updated directly in the 3.1 branch in github here:

https://github.com/openshift/openshift-docs/blob/enterprise-3.1/dev_guide/builds.adoc#binary-source


Note You need to log in before you can comment on or make changes to this bug.